## ocamlgsl 0.3.4

=== Makefile ===
OCAMLC   := ocamlc
OCAMLOPT := ocamlopt
CAMLP4O  := camlp4o
OCAMLDOC := ocamldoc
OCAMLMKLIB := ocamlmklib
OCAMLFIND  := ocamlfind

OCAML    := ocaml
OCAMLDIR := "$(shell $(OCAMLC) -where)"
OCAMLDEP := ocamldep
OCPP     := ocpp

FORT := fort 
AWK  := gawk

OCAML_BACKEND := $(shell $(OCAMLC) -verbose foo.c 2>&1 | $(AWK) '/^+/ { print $$2 }')
OCAML_VERSION := $(shell $(OCAMLC) -version)
OCAML_307     := $(shell expr "$(OCAML_VERSION)" '>=' 3.07)

OCAMLBCFLAGS := -g 
OCAMLNCFLAGS :=

INSTALLDIR := $(OCAMLDIR)/gsl
DESTDIR =

AUTO_SRC := gsl_const.ml gsl_const.mli \
            gsl_sf.ml gsl_sf.mli \
            gsl_cdf.ml gsl_cdf.mli mlgsl_cdf.c

SRC := wrappers.h gsl_misc.ml io.h \
       gsl_error.ml gsl_error.mli mlgsl_error.c \
       gsl_ieee.ml gsl_ieee.mli mlgsl_ieee.c \
       gsl_math.ml gsl_math.mli mlgsl_math.c \
       gsl_complex.ml gsl_complex.mli mlgsl_complex.c mlgsl_complex.h \
       gsl_vector.ml gsl_vector.mli gsl_vector_flat.ml gsl_vector_flat.mli \
       gsl_vector_complex.ml gsl_vector_complex.mli \
       gsl_vector_complex_flat.ml gsl_vector_complex_flat.mli \
       mlgsl_vector.h \
       mlgsl_vector_float.c mlgsl_vector_float.h \
       mlgsl_vector_double.c mlgsl_vector_double.h \
       mlgsl_vector_complex.h mlgsl_vector_complex_float.h \
       gsl_matrix.ml gsl_matrix.mli gsl_matrix_flat.ml gsl_matrix_flat.mli \
       gsl_matrix_complex.ml gsl_matrix_complex.mli \
       gsl_matrix_complex_flat.ml gsl_matrix_complex_flat.mli \
       mlgsl_matrix.h \
       mlgsl_matrix_float.c mlgsl_matrix_float.h \
       mlgsl_matrix_double.c mlgsl_matrix_double.h \
       mlgsl_matrix_complex.c mlgsl_matrix_complex.h \
       mlgsl_matrix_complex_float.c mlgsl_matrix_complex_float.h \
       gsl_vectmat.ml gsl_vectmat.mli \
       gsl_blas.ml gsl_blas_flat.ml gsl_blas_gen.ml \
       gsl_blas.mli gsl_blas_flat.mli gsl_blas_gen.mli \
       mlgsl_blas.h mlgsl_blas.c \
       mlgsl_blas_float.c mlgsl_blas_complex.c mlgsl_blas_complex_float.c \
       gsl_fun.ml gsl_fun.mli mlgsl_fun.c mlgsl_fun.h \
       gsl_permut.ml gsl_permut.mli mlgsl_permut.c mlgsl_permut.h \
       gsl_linalg.ml gsl_linalg.mli mlgsl_linalg.c mlgsl_linalg_complex.c \
       gsl_eigen.ml gsl_eigen.mli mlgsl_eigen.c \
       gsl_poly.ml gsl_poly.mli mlgsl_poly.c \
       gsl_interp.ml gsl_interp.mli mlgsl_interp.c \
       gsl_rng.ml gsl_rng.mli mlgsl_rng.c mlgsl_rng.h \
       gsl_qrng.ml gsl_qrng.mli mlgsl_qrng.c \
       gsl_randist.ml gsl_randist.mli mlgsl_randist.c \
       gsl_integration.ml gsl_integration.mli mlgsl_integration.c \
       gsl_fit.ml gsl_fit.mli mlgsl_fit.c \
       gsl_multifit.ml gsl_multifit.mli \
       gsl_root.ml gsl_root.mli mlgsl_roots.c \
       gsl_multiroot.ml gsl_multiroot.mli mlgsl_multiroots.c \
       gsl_multifit_nlin.ml gsl_multifit_nlin.mli mlgsl_multifit.c \
       gsl_min.ml gsl_min.mli mlgsl_min.c \
       gsl_multimin.ml gsl_multimin.mli mlgsl_multimin.c \
       gsl_diff.ml gsl_diff.mli mlgsl_diff.c \
       gsl_cheb.ml gsl_cheb.mli mlgsl_cheb.c \
       gsl_sum.ml gsl_sum.mli mlgsl_sum.c \
       gsl_fft.ml gsl_fft.mli mlgsl_fft.c \
       gsl_monte.ml gsl_monte.mli mlgsl_monte.c \
       gsl_siman.ml gsl_siman.mli \
       gsl_odeiv.ml gsl_odeiv.mli mlgsl_odeiv.c \
       gsl_histo.ml gsl_histo.mli mlgsl_histo.c \
       gsl_stats.ml gsl_stats.mli mlgsl_stats.c \
       mlgsl_sf.c \
       $(AUTO_SRC)

ifeq ($(OCAML_BACKEND),cl)
include msvc.mak
else
include gcc.mak 
endif 

CMI      := $(patsubst %.mli,%.cmi,$(filter %.mli,$(SRC)))
MLOBJ    := $(patsubst %.ml,%.cmo,$(filter %.ml,$(SRC)))
MLOPTOBJ := $(MLOBJ:%.cmo=%.cmx)
COBJ     := $(patsubst %.c,%.$(O),$(filter %.c,$(SRC)))
SOBJ     := $(patsubst %.c,%.$(SO),$(filter %.c,$(SRC)))
DOBJ     := $(patsubst %.c,%.$(DO),$(filter %.c,$(SRC)))

TRASH = ocamlgsl$(EXE) $(DEF) $(AUTO_SRC)

DISTSRC := $(filter-out $(AUTO_SRC),$(SRC)) quot.ml gsl_sf.mli.q \
           mlgsl_vector.c mlgsl_matrix.c \
           .depend .depend.c gcc.mak msvc.mak \
           Makefile .ocamlinit do_const.awk do_cdf.ml \
           NOTES README COPYING META ocamlgsl.spec \
           $(wildcard examples/*.ml) examples/Makefile doc \
           $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
VERSION := 0.3.4

all : dllmlgsl.$(D) libmlgsl.$(A) gsl.cma gsl.cmxa $(CMI)

libmlgsl.$(A) : $(SOBJ)
	$(call MKLIB,mlgsl,$^)

# The Windows DLL 'exports' file (exports all non-static objects called ml_gsl*, removing underscores).
$(DEF) : $(DOBJ)
	nm -P $^ | $(AWK) "BEGIN { print \"EXPORTS\" }  \
		/_ml_gsl/{if (\$$2 == \"T\") print(substr(\$$1,2,length(\$$1)))}" > $@

dllmlgsl.$(D) : $(DEF) $(DOBJ)
	$(call MKDLL,mlgsl,$(DOBJ),$(DEF))

gsl.cma : $(MLOBJ)
	$(call MKCMA,mlgsl,gsl,$^)

gsl.cmxa : $(MLOPTOBJ)
	$(call MKCMXA,mlgsl,gsl,$^)

top : libmlgsl.$(A) gsl.cma
	ocamlmktop -o ocamlgsl$(EXE) bigarray.cma gsl.cma

install : all
	mkdir -p $(DESTDIR)$(INSTALLDIR)
	cp libmlgsl.$(A) dllmlgsl.$(D) gsl.cma gsl.cmxa gsl.$(A) \
          $(CMI) $(MLOPTOBJ) $(DESTDIR)$(INSTALLDIR)
	mkdir -p $(DESTDIR)$(OCAMLDIR)/stublibs
	if test -w $(DESTDIR)$(OCAMLDIR)/stublibs ; then \
          ln -sf $(INSTALLDIR)/dllmlgsl.$(D) $(DESTDIR)$(OCAMLDIR)/stublibs ; fi

install-findlib : all
	export FINDLIBDIR=$$($(OCAMLFIND) printconf destdir) ; \
	mkdir -p $(DESTDIR)$${FINDLIBDIR}/stublibs ; \
	OCAMLFIND_DESTDIR=$(DESTDIR)$${FINDLIBDIR} \
        $(OCAMLFIND) install gsl META \
          libmlgsl.$(A) dllmlgsl.$(D) gsl.cma gsl.cmxa gsl.$(A) $(CMI) $(MLOPTOBJ) 

ocamlgsl.odoc : $(MLOBJ) $(CMI)
	$(OCAMLDOC) -v -dump $@ $(filter-out gsl_misc.%, $(filter %.mli, $(SRC)))

doc : doc/index.html
doc/index.html: ocamlgsl.odoc
	mkdir -p doc
	$(OCAMLDOC) -v -html -t 'ocamlgsl $(VERSION)' -d doc -load $<

info : ocamlgsl.info
ocamlgsl.info : ocamlgsl.odoc
	$(OCAMLDOC) -v -texi -t 'ocamlgsl $(VERSION)' -o ocamlgsl.texi -load $<
	makeinfo ocamlgsl.texi

test : gsl.cma dllmlgsl.$(D)
	$(FORT) -I . test/*.test.ml

quot.cmo : quot.ml
	$(OCAMLC) -c -I +camlp4 -pp $(CAMLP4O) $<

gsl_sf.ml : gsl_sf.mli.q quot.cmo
	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
gsl_sf.mli : gsl_sf.mli.q quot.cmo
	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
gsl_sf.cmo gsl_sf.cmx : gsl_sf.cmi
gsl_sf.cmi : gsl_fun.cmi

gsl_const.ml : 
	$(AWK) -f do_const.awk > $@ \
          $(GSLINCDIR)/gsl/gsl_const_cgsm.h \
          $(GSLINCDIR)/gsl/gsl_const_mksa.h \
          $(GSLINCDIR)/gsl/gsl_const_num.h
gsl_const.mli :
	$(AWK) -f do_const.awk --mli > $@ \
          $(GSLINCDIR)/gsl/gsl_const_cgsm.h \
          $(GSLINCDIR)/gsl/gsl_const_mksa.h \
          $(GSLINCDIR)/gsl/gsl_const_num.h
gsl_const.cmo gsl_const.cmx : gsl_const.cmi

gsl_cdf.ml : do_cdf.ml $(GSLINCDIR)/gsl/gsl_cdf.h
	$(OCAML) str.cma do_cdf.ml < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
gsl_cdf.mli : do_cdf.ml $(GSLINCDIR)/gsl/gsl_cdf.h
	$(OCAML) str.cma do_cdf.ml < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
mlgsl_cdf.c : do_cdf.ml $(GSLINCDIR)/gsl/gsl_cdf.h
	$(OCAML) str.cma do_cdf.ml --c < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
gsl_cdf.cmo gsl_cdf.cmx :  gsl_cdf.cmi

%.cmo : %.ml	
	$(OCAMLC) $(OCAMLBCFLAGS) -c $<

%.cmx : %.ml
	$(OCAMLOPT) $(OCAMLNCFLAGS) -c $<

%.cmi : %.mli
	$(OCAMLC) $<

%.$(O) : %.c
	$(OCAMLC) -ccopt '$(CPPFLAGS) $(CFLAGS)' -c $<

%.$(SO) : %.c
	$(OCAMLC) -ccopt '$(CPPFLAGS) $(CFLAGS) $(call SCFLAGS,$@)' -c $<

%.$(DO) : %.c
	$(OCAMLC) -ccopt '$(CPPFLAGS) $(CFLAGS) $(call DCFLAGS,$@)' -c $<


.depend : $(filter-out $(AUTO_SRC) %.c,$(SRC))
	@echo "making ocaml deps..."
	-@$(OCAMLDEP) $^ > $@

.depend.c : $(filter-out $(AUTO_SRC), $(filter %.c,$(SRC)))
ifneq ($(OCAML_BACKEND),cl)
	@echo "making C deps..."
	-@$(CC) -MM $^ > $@
endif 

.PHONY : clean realclean top all dist install doc test

dist : doc info
	export DIRNAME=$${PWD##*/} && \
	cd .. && mv $$DIRNAME ocamlgsl-$(VERSION) && \
	tar zcvf ocamlgsl-$(VERSION).tar.gz $(addprefix ocamlgsl-$(VERSION)/,$(DISTSRC)) && mv ocamlgsl-$(VERSION) $$DIRNAME

clean :
	rm -f *.cm* *.$(SO) *.$(DO)  *.$(D) *.$(A) core* $(TRASH)

realclean :
	rm -f .depend* ocamlgsl.info* ocamlgsl.texi ocamlgsl.odoc

-include .depend
-include .depend.c

## ocamlgsl 0.3.5

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# If you compiling with cygwin, comment this out
+DYNAMIC_LINKING = true
+
 OCAMLC   := ocamlc
 OCAMLOPT := ocamlopt
 CAMLP4O  := camlp4o
@@ -94,7 +97,7 @@
 SOBJ     := $(patsubst %.c,%.$(SO),$(filter %.c,$(SRC)))
 DOBJ     := $(patsubst %.c,%.$(DO),$(filter %.c,$(SRC)))
 
-TRASH = ocamlgsl$(EXE) $(DEF) $(AUTO_SRC)
+TRASH = ocamlgsl$(EXE) $(DEF) $(AUTO_SRC) do_cdf
 
 DISTSRC := $(filter-out $(AUTO_SRC),$(SRC)) quot.ml gsl_sf.mli.q \
            mlgsl_vector.c mlgsl_matrix.c \
@@ -103,9 +106,15 @@
            NOTES README COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.3.4
-
-all : dllmlgsl.$(D) libmlgsl.$(A) gsl.cma gsl.cmxa $(CMI)
+VERSION := 0.3.5
+
+all : stubs gsl.cma gsl.cmxa $(CMI)
+
+ifdef DYNAMIC_LINKING
+stubs : dllmlgsl.$(D) libmlgsl.$(A) 
+else
+stubs : libmlgsl.$(A)
+endif
 
 libmlgsl.$(A) : $(SOBJ)
 	$(call MKLIB,mlgsl,$^)
@@ -125,7 +134,7 @@
 	$(call MKCMXA,mlgsl,gsl,$^)
 
 top : libmlgsl.$(A) gsl.cma
-	ocamlmktop -o ocamlgsl$(EXE) bigarray.cma gsl.cma
+	ocamlmktop -I . -o ocamlgsl$(EXE) bigarray.cma gsl.cma
 
 install : all
 	mkdir -p $(DESTDIR)$(INSTALLDIR)
@@ -161,12 +170,14 @@
 quot.cmo : quot.ml
 	$(OCAMLC) -c -I +camlp4 -pp $(CAMLP4O) $<
 
+
 gsl_sf.ml : gsl_sf.mli.q quot.cmo
 	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
 gsl_sf.mli : gsl_sf.mli.q quot.cmo
 	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
 gsl_sf.cmo gsl_sf.cmx : gsl_sf.cmi
 gsl_sf.cmi : gsl_fun.cmi
+
 
 gsl_const.ml : 
 	$(AWK) -f do_const.awk > $@ \
@@ -180,13 +191,17 @@
           $(GSLINCDIR)/gsl/gsl_const_num.h
 gsl_const.cmo gsl_const.cmx : gsl_const.cmi
 
-gsl_cdf.ml : do_cdf.ml $(GSLINCDIR)/gsl/gsl_cdf.h
-	$(OCAML) str.cma do_cdf.ml < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
-gsl_cdf.mli : do_cdf.ml $(GSLINCDIR)/gsl/gsl_cdf.h
-	$(OCAML) str.cma do_cdf.ml < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
-mlgsl_cdf.c : do_cdf.ml $(GSLINCDIR)/gsl/gsl_cdf.h
-	$(OCAML) str.cma do_cdf.ml --c < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
+
+do_cdf : do_cdf.ml
+	$(OCAMLC) -o $@ str.cma $^
+gsl_cdf.ml : do_cdf $(GSLINCDIR)/gsl/gsl_cdf.h
+	./do_cdf < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
+gsl_cdf.mli : do_cdf $(GSLINCDIR)/gsl/gsl_cdf.h
+	./do_cdf < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
+mlgsl_cdf.c : do_cdf $(GSLINCDIR)/gsl/gsl_cdf.h
+	./do_cdf --c < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
 gsl_cdf.cmo gsl_cdf.cmx :  gsl_cdf.cmi
+
 
 %.cmo : %.ml	
 	$(OCAMLC) $(OCAMLBCFLAGS) -c $<
@@ -217,7 +232,7 @@
 	-@$(CC) -MM $^ > $@
 endif 
 
-.PHONY : clean realclean top all dist install doc test
+.PHONY : clean realclean top all dist install doc test stubs
 
 dist : doc info
 	export DIRNAME=$${PWD##*/} && \

=== examples/Makefile ===

OCAMLC   := ocamlc.opt
OCAMLOPT := ocamlopt.opt
CAMLP4O  := camlp4o.opt

OCAMLBCFLAGS := -g
OCAMLNCFLAGS := -unsafe

SRC := cheb.ml diff.ml fit.ml integration.ml interp.ml min.ml monte.ml \
       multifit-data.ml multifit.ml permut.ml qrng.ml rng.ml root.ml \
       linalg.ml blas.ml multiroot.ml multimin.ml sum.ml multifit_nlin.ml \
       eigen.ml siman.ml siman_tsp.ml odeiv.ml stats.ml const.ml histo.ml

PROGS     := $(patsubst %.ml,%.test,$(SRC))
PROGS_OPT := $(patsubst %.ml,%.test.opt,$(SRC))

LIBS    = bigarray.cma gsl.cma
LIBSOPT = $(LIBS:%.cma=%.cmxa)

MLGSLDIR = ..

all : $(PROGS) $(PROGS_OPT)

multifit.test multifit.test.opt : PP=-pp "$(CAMLP4O)"

interp.test interp.test.opt : LIBS += unix.cma
odeiv.test odeiv.test.opt : LIBS += unix.cma

%.test : %.ml $(MLGSLDIR)/gsl.cma $(MLGSLDIR)/libmlgsl.a
	$(OCAMLC) $(PP) $(OCAMLBCFLAGS) -o $@ -I $(MLGSLDIR) -dllpath $(MLGSLDIR) $(LIBS) $<

%.test.opt : %.ml $(MLGSLDIR)/gsl.cmxa $(MLGSLDIR)/libmlgsl.a
	$(OCAMLOPT) $(PP) $(OCAMLNCFLAGS) -o $@ -I $(MLGSLDIR) $(LIBSOPT) $<

.PHONY : clean all 

clean :
	rm -f *.cm* *.[ao] *.so core *.test *.test.opt $(TRASH)

## ocamlgsl 0.4.0

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,14 @@
 FORT := fort 
 AWK  := gawk
 
-OCAML_BACKEND := $(shell $(OCAMLC) -verbose foo.c 2>&1 | $(AWK) '/^+/ { print $$2 }')
-OCAML_VERSION := $(shell $(OCAMLC) -version)
-OCAML_307     := $(shell expr "$(OCAML_VERSION)" '>=' 3.07)
+MNOCYGWIN     ?= $(shell $(OCAMLC) -verbose foo.c 2>&1 | $(AWK) "NR==1 { print \$$3 }")	
+ifeq ($(MNOCYGWIN),-mnocygwin)
+OCAML_BACKEND := mingw
+endif
+
+OCAML_BACKEND ?= $(shell $(OCAMLC) -verbose foo.c 2>&1 | $(AWK) "NR==1 { print \$$2 }")
+OCAML_VERSION ?= $(shell $(OCAMLC) -version)
+OCAML_307     ?= $(shell expr "$(OCAML_VERSION)" ">=" 3.07)
 
 OCAMLBCFLAGS := -g 
 OCAMLNCFLAGS :=
@@ -57,6 +62,7 @@
        mlgsl_blas_float.c mlgsl_blas_complex.c mlgsl_blas_complex_float.c \
        gsl_fun.ml gsl_fun.mli mlgsl_fun.c mlgsl_fun.h \
        gsl_permut.ml gsl_permut.mli mlgsl_permut.c mlgsl_permut.h \
+       gsl_sort.ml gsl_sort.mli mlgsl_sort.c \
        gsl_linalg.ml gsl_linalg.mli mlgsl_linalg.c mlgsl_linalg_complex.c \
        gsl_eigen.ml gsl_eigen.mli mlgsl_eigen.c \
        gsl_poly.ml gsl_poly.mli mlgsl_poly.c \
@@ -81,14 +87,19 @@
        gsl_odeiv.ml gsl_odeiv.mli mlgsl_odeiv.c \
        gsl_histo.ml gsl_histo.mli mlgsl_histo.c \
        gsl_stats.ml gsl_stats.mli mlgsl_stats.c \
+       gsl_wavelet.ml gsl_wavelet.mli mlgsl_wavelet.c \
        mlgsl_sf.c \
        $(AUTO_SRC)
 
 ifeq ($(OCAML_BACKEND),cl)
 include msvc.mak
 else
-include gcc.mak 
-endif 
+ifeq ($(OCAML_BACKEND),gcc)
+include gcc.mak
+else
+include mingw.mak
+endif
+endif
 
 CMI      := $(patsubst %.mli,%.cmi,$(filter %.mli,$(SRC)))
 MLOBJ    := $(patsubst %.ml,%.cmo,$(filter %.ml,$(SRC)))
@@ -101,12 +112,12 @@
 
 DISTSRC := $(filter-out $(AUTO_SRC),$(SRC)) quot.ml gsl_sf.mli.q \
            mlgsl_vector.c mlgsl_matrix.c \
-           .depend .depend.c gcc.mak msvc.mak \
+           .depend .depend_c gcc.mak msvc.mak \
            Makefile .ocamlinit do_const.awk do_cdf.ml \
            NOTES README COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.3.5
+VERSION := 0.4.0
 
 all : stubs gsl.cma gsl.cmxa $(CMI)
 
@@ -226,10 +237,10 @@
 	@echo "making ocaml deps..."
 	-@$(OCAMLDEP) $^ > $@
 
-.depend.c : $(filter-out $(AUTO_SRC), $(filter %.c,$(SRC)))
+.depend_c : $(filter-out $(AUTO_SRC), $(filter %.c,$(SRC)))
 ifneq ($(OCAML_BACKEND),cl)
 	@echo "making C deps..."
-	-@$(CC) -MM $^ > $@
+	-@$(CC) -isystem $(OCAMLDIR) -isystem $(GSLINCDIR) -MM $^ > $@
 endif 
 
 .PHONY : clean realclean top all dist install doc test stubs
@@ -246,4 +257,4 @@
 	rm -f .depend* ocamlgsl.info* ocamlgsl.texi ocamlgsl.odoc
 
 -include .depend
--include .depend.c
+-include .depend_c

## ocamlgsl 0.5.1

=== Makefile ===
--- 
+++ 
@@ -73,9 +73,9 @@
        gsl_integration.ml gsl_integration.mli mlgsl_integration.c \
        gsl_fit.ml gsl_fit.mli mlgsl_fit.c \
        gsl_multifit.ml gsl_multifit.mli \
+       gsl_multifit_nlin.ml gsl_multifit_nlin.mli mlgsl_multifit.c \
        gsl_root.ml gsl_root.mli mlgsl_roots.c \
        gsl_multiroot.ml gsl_multiroot.mli mlgsl_multiroots.c \
-       gsl_multifit_nlin.ml gsl_multifit_nlin.mli mlgsl_multifit.c \
        gsl_min.ml gsl_min.mli mlgsl_min.c \
        gsl_multimin.ml gsl_multimin.mli mlgsl_multimin.c \
        gsl_diff.ml gsl_diff.mli mlgsl_diff.c \
@@ -117,15 +117,15 @@
            NOTES README COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.4.0
+VERSION := 0.5.1
 
 all : stubs gsl.cma gsl.cmxa $(CMI)
 
+STUBS = libmlgsl.$(A)
 ifdef DYNAMIC_LINKING
-stubs : dllmlgsl.$(D) libmlgsl.$(A) 
-else
-stubs : libmlgsl.$(A)
-endif
+STUBS += dllmlgsl.$(D)
+endif
+stubs : $(STUBS)
 
 libmlgsl.$(A) : $(SOBJ)
 	$(call MKLIB,mlgsl,$^)
@@ -149,7 +149,7 @@
 
 install : all
 	mkdir -p $(DESTDIR)$(INSTALLDIR)
-	cp libmlgsl.$(A) dllmlgsl.$(D) gsl.cma gsl.cmxa gsl.$(A) \
+	cp $(STUBS) gsl.cma gsl.cmxa gsl.$(A) \
           $(CMI) $(MLOPTOBJ) $(DESTDIR)$(INSTALLDIR)
 	mkdir -p $(DESTDIR)$(OCAMLDIR)/stublibs
 	if test -w $(DESTDIR)$(OCAMLDIR)/stublibs ; then \

## ocamlgsl 0.5.2

=== Makefile ===
--- 
+++ 
@@ -117,7 +117,7 @@
            NOTES README COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.5.1
+VERSION := 0.5.2
 
 all : stubs gsl.cma gsl.cmxa $(CMI)

=== examples/Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 SRC := cheb.ml diff.ml fit.ml integration.ml interp.ml min.ml monte.ml \
        multifit-data.ml multifit.ml permut.ml qrng.ml rng.ml root.ml \
        linalg.ml blas.ml multiroot.ml multimin.ml sum.ml multifit_nlin.ml \
-       eigen.ml siman.ml siman_tsp.ml odeiv.ml stats.ml const.ml histo.ml
+       eigen.ml siman.ml siman_tsp.ml odeiv.ml stats.ml const.ml histo.ml \
+       wavelet.ml
 
 PROGS     := $(patsubst %.ml,%.test,$(SRC))
 PROGS_OPT := $(patsubst %.ml,%.test.opt,$(SRC))

## ocamlgsl 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# If you compiling with cygwin, comment this out
+# If you're compiling with cygwin, comment this out
 DYNAMIC_LINKING = true
 
 OCAMLC   := ocamlc
@@ -23,7 +23,6 @@
 
 OCAML_BACKEND ?= $(shell $(OCAMLC) -verbose foo.c 2>&1 | $(AWK) "NR==1 { print \$$2 }")
 OCAML_VERSION ?= $(shell $(OCAMLC) -version)
-OCAML_307     ?= $(shell expr "$(OCAML_VERSION)" ">=" 3.07)
 
 OCAMLBCFLAGS := -g 
 OCAMLNCFLAGS :=
@@ -88,6 +87,7 @@
        gsl_histo.ml gsl_histo.mli mlgsl_histo.c \
        gsl_stats.ml gsl_stats.mli mlgsl_stats.c \
        gsl_wavelet.ml gsl_wavelet.mli mlgsl_wavelet.c \
+       gsl_bspline.ml gsl_bspline.mli mlgsl_bspline.c \
        mlgsl_sf.c \
        $(AUTO_SRC)
 
@@ -108,16 +108,16 @@
 SOBJ     := $(patsubst %.c,%.$(SO),$(filter %.c,$(SRC)))
 DOBJ     := $(patsubst %.c,%.$(DO),$(filter %.c,$(SRC)))
 
-TRASH = ocamlgsl$(EXE) $(DEF) $(AUTO_SRC) do_cdf
-
-DISTSRC := $(filter-out $(AUTO_SRC),$(SRC)) quot.ml gsl_sf.mli.q \
+TRASH = ocamlgsl$(EXE) $(DEF) $(AUTO_SRC) do_cdf do_sf
+
+DISTSRC := $(filter-out $(AUTO_SRC),$(SRC)) gsl_sf.mli.q \
            mlgsl_vector.c mlgsl_matrix.c \
            .depend .depend_c gcc.mak msvc.mak \
-           Makefile .ocamlinit do_const.awk do_cdf.ml \
-           NOTES README COPYING META ocamlgsl.spec \
+           Makefile .ocamlinit do_const.awk do_cdf.ml do_sf.ml \
+           NOTES README NEWS COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.5.2
+VERSION := 0.6.0
 
 all : stubs gsl.cma gsl.cmxa $(CMI)
 
@@ -157,7 +157,7 @@
 
 install-findlib : all
 	export FINDLIBDIR=$$($(OCAMLFIND) printconf destdir) ; \
-	mkdir -p $(DESTDIR)$${FINDLIBDIR}/stublibs ; \
+	test -d "$${FINDLIBDIR}/stublibs" && mkdir -p $(DESTDIR)$${FINDLIBDIR}/stublibs ; \
 	OCAMLFIND_DESTDIR=$(DESTDIR)$${FINDLIBDIR} \
         $(OCAMLFIND) install gsl META \
           libmlgsl.$(A) dllmlgsl.$(D) gsl.cma gsl.cmxa gsl.$(A) $(CMI) $(MLOPTOBJ) 
@@ -178,14 +178,12 @@
 test : gsl.cma dllmlgsl.$(D)
 	$(FORT) -I . test/*.test.ml
 
-quot.cmo : quot.ml
-	$(OCAMLC) -c -I +camlp4 -pp $(CAMLP4O) $<
-
-
-gsl_sf.ml : gsl_sf.mli.q quot.cmo
-	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
-gsl_sf.mli : gsl_sf.mli.q quot.cmo
-	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
+do_sf : do_sf.ml
+	$(OCAMLC) -o $@ str.cma $^
+gsl_sf.ml : gsl_sf.mli.q do_sf
+	./do_sf < $< > $@
+gsl_sf.mli : gsl_sf.mli.q do_sf
+	./do_sf < $< > $@
 gsl_sf.cmo gsl_sf.cmx : gsl_sf.cmi
 gsl_sf.cmi : gsl_fun.cmi

=== examples/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
        multifit-data.ml multifit.ml permut.ml qrng.ml rng.ml root.ml \
        linalg.ml blas.ml multiroot.ml multimin.ml sum.ml multifit_nlin.ml \
        eigen.ml siman.ml siman_tsp.ml odeiv.ml stats.ml const.ml histo.ml \
-       wavelet.ml
+       wavelet.ml bspline.ml
 
 PROGS     := $(patsubst %.ml,%.test,$(SRC))
 PROGS_OPT := $(patsubst %.ml,%.test.opt,$(SRC))

## ocamlgsl 1.19.1

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

setup.ml: _oasis
	oasis setup -setup-update dynamic

GSLINCDIR := $(shell gsl-config --prefix)/include

.PHONY: post-conf
post-conf:
	ocaml do_const.ml --mli > lib/gsl_const.mli
	ocaml do_const.ml > lib/gsl_const.ml
	ocaml do_sf.ml < lib/gsl_sf.mli.q > lib/gsl_sf.mli
	cp lib/gsl_sf.mli lib/gsl_sf.ml
	ocaml do_cdf.ml < $(GSLINCDIR)/gsl/gsl_cdf.h > lib/gsl_cdf.mli
	cp lib/gsl_cdf.mli lib/gsl_cdf.ml
	ocaml do_cdf.ml --c < $(GSLINCDIR)/gsl/gsl_cdf.h > lib/mlgsl_cdf.c

=== debian/changelog ===
ocamlgsl (1.19.1-2build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 11:51:50 +0200

ocamlgsl (1.19.1-2build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:58 +0000

ocamlgsl (1.19.1-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 15:17:02 +0200

ocamlgsl (1.19.1-1) unstable; urgency=low

  * Team upload.

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev
    (Closes: #805818).

  [ Mehdi Dogguy ]
  * Import new upstream release, which fixes FTBFS issues and GSL 2
    compatibility issues.
  * Remove local patches, not needed anymore
  * Upstream repository has moved to github.com/mmottl/gsl-ocaml
  * Update packaging to cope with upstream's build system
  * Convert source package to 3.0 (quilt)
  * Convert packaging from cdbs to dh-7 style
  * Update debian/copyright file.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 20:34:21 +0100

ocamlgsl (0.6.0-7) unstable; urgency=low

  * Install libmlgsl.a on non-native architectures (Closes: #567060)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 20 Apr 2010 21:55:21 +0200

ocamlgsl (0.6.0-6) unstable; urgency=low

  * Update upstream homepage
  * Restore .depend in clean target
  * Use dh-ocaml features
  * Upgrade Standards-version to 3.8.3 (section ocaml)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 14 Dec 2009 23:44:52 +0000

ocamlgsl (0.6.0-5) unstable; urgency=low

  * Really add a build-dependency on dh-ocaml

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 09 Mar 2009 10:42:25 +0100

ocamlgsl (0.6.0-4) unstable; urgency=low

  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Add ${misc:Depends} to dependencies

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 11:05:09 +0100

ocamlgsl (0.6.0-3) unstable; urgency=low

  * Setting arch to any, package on some arches will probably have
    performance issue because of data alignement but no real bugs
    (Closes: #490901)
  * Revamp debian/copyright
  * Upgrade Standards-Version to 3.8.0:
    * Add debian/REAME.source
    * Remove dpkg-dev Build-Deps
    * Add Homepage field

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 15 Jul 2008 23:01:13 +0200

ocamlgsl (0.6.0-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Sylvain Le Gall ]
  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically
  * Modify gcc matching to help recognize gcc-4.2 as gcc 
    (Closes: #482920)
  * Add hurd-i386 to arch (Closes: #482906)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 26 May 2008 12:15:49 +0200

ocamlgsl (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Change email address to gildor@debian.org everywhere
  * Rebuild for ocaml 3.10.0
  * Move documentation to html/api
  * Use more debian/*.in file to take advantage of substitution of
    OCamlDllDir/OCamlStdlibDir
  * Use CDBS ocaml.mk

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 05 Sep 2007 22:09:30 +0200

ocamlgsl (0.5.2-2) unstable; urgency=low

  * Revert changes on the build system

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 21 Jan 2007 18:06:07 +0100

ocamlgsl (0.5.2-1) unstable; urgency=low

  * New upstream release:
    * Fix Gsl_sf.legendre_array_size (Closes: #406711)
  * Upgrade debian/watch version to 3,
  * Use ocaml.mk

 -- Sylvain Le Gall <gildor@debian.org>  Thu,  9 Nov 2006 23:39:55 +0100

ocamlgsl (0.5.1-3) unstable; urgency=low

  * Correct a typo OCAML_HAVE_OPT -> OCAML_HAVE_OCAMLOPT 
    (Closes: #393442)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 26 Oct 2006 01:17:00 +0200

ocamlgsl (0.5.1-2) unstable; urgency=low

  * Add versionned dependency on dpkg-dev

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 15 Oct 2006 18:25:55 +0200

ocamlgsl (0.5.1-1) unstable; urgency=low

  * New upstream version (Closes: #392361),
  * Use CDBS for debian/rules,
  * Upgrade debhelper debian/compat to 5,
  * Real NUM acknowledgement (Closes: #361583, #361635),
  * Rebuild against ocaml 3.09.2 (Closes: #368773),
  * Patch cdf_handle_int_arguments.dpatch applied upstream,

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 12 Oct 2006 01:37:11 +0200

ocamlgsl (0.4.0-5) unstable; urgency=low

  * Acknowledge NMU (thanks to Samuel Mimram)
  * Change my email address to gildor@debian.org,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 14 Jun 2006 21:34:58 +0200

ocamlgsl (0.4.0-4.1) unstable; urgency=low

  * NMU.
  * Added a patch (cdf_handle_int_arguments.dpatch) to solve the FTBFS by
    properly handling functions with "const unsigned int" arguments (thanks
    Julien Cristau), closes: #361583.
  * Added kfreebsd-amd64 to the list of supported archs, closes: #361635.
  * Updated Standards-Version to 3.7.0, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu,  4 May 2006 20:31:48 +0000

ocamlgsl (0.4.0-4) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 00:12:16 +0100

ocamlgsl (0.4.0-3) unstable; urgency=low

  * Use Apps/Programming for doc-base

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 01:13:01 +0100

ocamlgsl (0.4.0-2) unstable; urgency=low

  * Remove direct reference to ocaml library dir
  * Remove hardcoded OCaml ABI
  * Transition to svn-buildpackage

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 23:08:34 +0100

ocamlgsl (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Added kfreebsd-i386 to the list of arch
    (Closes: #314703)


=== debian/control ===
Source: ocamlgsl
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 3.10.0-9),
 ocaml-findlib (>= 1.1.2pl1-4),
 libgsl-dev,
 chrpath,
 gawk,
 camlp4 (>= 3.10.0),
 ocamlbuild,
 dh-ocaml (>= 0.9.1)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlgsl.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlgsl.git
Homepage: https://github.com/mmottl/gsl-ocaml

Package: libocamlgsl-ocaml-dev
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, libgsl-dev, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: GNU scientific library for OCaml
 This is an interface to GSL (GNU scientific library), for the
 Objective Caml language.
 .
 See the libgsl2 package for more details.

Package: libocamlgsl-ocaml
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: GNU scientific library for OCaml
 This is an interface to GSL (GNU scientific library), for the
 Objective Caml language.
 .
 See the libgsl2 package for more details.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=$(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./configure 		\
		--enable-tests 	\
		--enable-docs 	\
		--enable-debug 	\
		--docdir $(CURDIR)/debian/libocamlgsl-ocaml-dev/usr/share/doc/libocamlgsl-ocaml-dev/html/ \
		--prefix $(OCAMLFIND_DESTDIR)

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	dh_auto_install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner

## ocamlgsl 1.24.3

=== examples/Makefile ===
EXAMPLES = $(wildcard *.ml)
TARGETS = $(patsubst %.ml, %.bc, $(EXAMPLES))

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== debian/changelog ===
ocamlgsl (1.24.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Aug 2020 09:00:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 9),
- ocaml-nox (>= 3.10.0-9),
- ocaml-findlib (>= 1.1.2pl1-4),
+ debhelper-compat (= 13),
+ ocaml-nox,
+ ocaml-dune,
+ libdune-ocaml-dev,
  libgsl-dev,
  chrpath,
  gawk,
- camlp4 (>= 3.10.0),
- ocamlbuild,
- dh-ocaml (>= 0.9.1)
-Standards-Version: 3.8.3
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlgsl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlgsl.git
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlgsl.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlgsl
 Homepage: https://github.com/mmottl/gsl-ocaml
 
 Package: libocamlgsl-ocaml-dev

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p gsl

override_dh_auto_test:
	dune runtest -p gsl

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/gsl/LICENSE.md

=== debian/watch ===
version=2
https://github.com/mmottl/gsl-ocaml/tags .*/v?(\d\S*)\.tar\.gz

## ocamlgsl 1.25.0

=== debian/changelog ===
ocamlgsl (1.25.0-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:40:34 +0200

ocamlgsl (1.25.0-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:51:01 +0200

ocamlgsl (1.25.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 03:35:02 +0100

ocamlgsl (1.24.3-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file format version to 4.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 05:36:28 +0200

ocamlgsl (1.24.3-4) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 07:30:45 +0200

ocamlgsl (1.24.3-3) unstable; urgency=medium

  * Team upload
  * Add gsl_include.sexp to deps of sf.ml* (fixes random FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 13:27:39 +0200

ocamlgsl (1.24.3-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:43:51 +0200

## ocamlgsl 1.25.1

=== src/Makefile ===
TARGETS = gsl.cma libgsl_stubs.a

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== src/config/Makefile ===
TARGETS = discover.bc do_cdf.bc do_const.bc

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== debian/changelog ===
ocamlgsl (1.25.1-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:03:56 +0100

ocamlgsl (1.25.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Dec 2024 09:37:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libdune-ocaml-dev,
  libgsl-dev,
  chrpath,
  gawk,
- dh-ocaml
-Standards-Version: 4.5.0
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlgsl.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlgsl

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mmottl/gsl-ocaml/releases?per_page=50 \
https://github.com/mmottl/gsl-ocaml/releases/download/[^/]+/gsl-@ANY_VERSION@.tbz
